Bug 800841 - RFE: please add a script to /usr/bin
RFE: please add a script to /usr/bin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jflex (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 06:41 EST by Ian Collier
Modified: 2016-01-31 20:56 EST (History)
2 users (show)

See Also:
Fixed In Version: jflex-1.4.3-7.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Collier 2012-03-07 06:41:37 EST
I may be missing something really obvious here, but the Fedora jflex package neither installs the script that comes with the upstream package nor supplies its own, so how is a naïve user going to run it?

$ rpm -q jflex
jflex-1.4.3-5.fc15.noarch
$ jflex
-bash: jflex: command not found
$ java JFlex.Main
Exception in thread "main" java.lang.NoClassDefFoundError: JFlex/Main
Caused by: java.lang.ClassNotFoundException: JFlex.Main
        at java.net.URLClassLoader$1.run(URLClassLoader.java:217)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
Could not find the main class: JFlex.Main. Program will exit.
$ CLASSPATH=/usr/share/java/JFlex.jar java JFlex.Main
Exception in thread "main" java.lang.NoClassDefFoundError: java_cup/runtime/lr_parser
Caused by: java.lang.ClassNotFoundException: java_cup.runtime.lr_parser
        at java.net.URLClassLoader$1.run(URLClassLoader.java:217)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
Could not find the main class: JFlex.Main. Program will exit.
Comment 1 Jaromír Cápík 2012-03-07 13:05:16 EST
Hello Ian.

JFlex was probably never intended to be used directly in Fedora. The problem above is caused by missing java_cup in the CLASSPATH.
I'll check that and we could add modified version of the shellscript in the package for direct usage.

You can try the following till it's fixed:

export CLASSPATH=/usr/share/java/jflex.jar:/usr/share/java/java_cup.jar
java JFlex.Main

Regards,
Jaromir.
Comment 2 Fedora Update System 2012-03-12 10:02:14 EDT
jflex-1.4.3-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jflex-1.4.3-7.fc17
Comment 3 Fedora Update System 2012-03-12 10:02:25 EDT
jflex-1.4.3-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jflex-1.4.3-7.fc16
Comment 4 Fedora Update System 2012-03-12 15:08:25 EDT
Package jflex-1.4.3-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jflex-1.4.3-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3619/jflex-1.4.3-7.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-03-21 14:41:23 EDT
jflex-1.4.3-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-04-21 23:31:39 EDT
jflex-1.4.3-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.